# Case studies

See [the main page](https://github.com/dabreegster/abstreet/) for now. I'll
probably organize everything here eventually.

## Ideas to explore with A/B Street

Note: Most of these still aren't started, because the baseline simulation in the
relevant area isn't working. Unknown traffic signal timing, bad guesses at the
amount of off-street parking, lanes tagged incorrectly in OpenStreetMap, and
simulation bugs cause unrealistic gridlock. It's hard to evaluate a change
without a realistic baseline.

In progress:

- [Stay Healthy Streets: Lake Washington Blvd](lake_wash/proposal.md)
- [West Seattle mitigations](west_seattle/proposal.md)
- Simplify where the Burke Gilman crosses Corliss and Pacific
  - No write-up yet, but the proposal is included in A/B Street

TODO:

- Close Broadway and Pine to through-traffic
  - proposed
    [here](https://old.reddit.com/r/SeattleWA/comments/gr4dsi/its_time_for_mayor_durkan_to_bring_stay_healthy/)
  - partly [happening already](https://www.openstreetmap.org/way/814244753)
  - another [proposal](https://twitter.com/pushtheneedle/status/1270757771802103809/photo/1)
- Traffic signal timing at Montlake/520 and Montlake/Pacific
  - Walking around here is frustrating, and pre-COVID, vehicle traffic got
    fairly stuck
- Pedestrianizing the Ave (u-district)
  - I can't find the proposal anymore; maybe
    [this](http://www.udistrictmobility.com/)?
- Eastlake bike lanes / RapidRide J
  - See
    [here](https://www.seattle.gov/transportation/projects-and-programs/programs/bike-program/protected-bike-lanes/eastlake-avenue-protected-bike-lanes)
    and
    [here](http://www.seattle.gov/transportation/projects-and-programs/programs/transit-program/transit-plus-multimodal-corridor-program/rapidride-roosevelt)
  - Need to audit lanes in OSM along Eastlake
  - Especially with the Fairview Ave bridge out, detouring to the Cheshiahud
    loop isn't as useful
- Madison / RapidRide G
  - See
    [here](http://www.seattle.gov/transportation/projects-and-programs/programs/transit-program/transit-plus-multimodal-corridor-program/madison-street-bus-rapid-transit)
- Bus lanes on Denny
  - Proposed
    [here](https://twitter.com/transitrunner/status/1175068582142599168)
- Bike Master Plan
  - Prototype the
    [planned network](https://www.seattle.gov/transportation/document-library/citywide-plans/modal-plans/bicycle-master-plan)
- Downtown one-way snake
  - An old crazy idea I've always wanted to try
- Unsorted ideas
  - [Parking](https://www.reddit.com/r/SeattleWA/comments/cr1r1l/why_the_fuck_does_the_right_lane_convert_to/)
  - [Bus lanes](https://seattletransitblog.com/2018/10/05/seven-places-to-add-bus-lanes-now/)
  - [John and Broadway](https://old.reddit.com/r/SeattleWA/comments/83h4ri/the_intersection_at_john_and_broadway_desperately/)
  - [Bad intersections](https://old.reddit.com/r/Seattle/comments/4z3ewl/what_are_seattles_worst_intersections/)
  - [Bus routes](https://old.reddit.com/r/SeattleWA/comments/5rvss5/what_changes_would_you_make_to_seattles_bus/)
