# Gameplay

## Player's goals

To optimize the experience of different road users, given a fixed schedule of
(mode, start time, origin, destination). Should we model a distribution of
preferences for the concerns below?

- drivers care about: total trip time, easiness of parking
- bikers care about: total trip time, climbing up hills, time spent waiting at
  intersections, amount of time spent on busy roads without dedicated bike lanes
- pedestrians care about: total trip time, time spent waiting at intersections,
  amount of greenery along route, amount of amenities like cafes along route,
  amount of time spent on roads that score poorly based on that Seattle
  greenways diagram

## Player's actions:

- change traffic lights (timing, turns grouped)
- convert lane to bus lane
- convert lane to bike lane
- convert street parking to bus/bike lane
- totally close a road?
- totally close a road to through-traffic (the eastlake trick with ped/bike
  median)
- add turn restrictions
- convert to one way
- convert stop sign to signal to roundabout (expensive)
- change bus schedules (how?)

## Modeling tradeoffs

Incomplete list of things I'm not planning to model anytime soon:

- shared left-turn lanes
- detailed pedestrian features like stairs, ramps
- parking garages
- People in the game don't pick the mode of transport based on what's available;
  they've already decided. The only unknown is their route and the experience
  they'll have along it.
- Tolls
- HOV lanes
- Kayaking
- Skateboarding
- Ride sharing
- Bikeshares
- Cars passing bikes on sharrows
- Accidents or collisions
- Bridges going up
